function [u,d] = polTruncate(u)
% Truncates the representation by dropping off zeros at the end
% Every nonzero polynomial of degree d-1 is represented as an n x 1-matrix
% with n >= d. Here, we drop the zeros in the postions d+1,...,n
% The zero polynomial is represented by the empty 0 x 1-matrix

	d=polDim(u);
	u=u(1:d);
	u=u(:);	% if it's of size 1 x 0, we reshape it into a 1 x 0-matrix

return
end